using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json; // Make sure to include this if you're using JsonProperty
using System.ComponentModel.DataAnnotations.Schema; // Include for Table attribute

namespace Parser_Xls_Integral
{
    [Table("vnutrostatny_bod")]
    public class VnutrostatnyBod
    {
        [JsonProperty("skratka")]
        public string Skratka { get; set; }

        [JsonProperty("gpsn")]
        public string GPSN { get; set; }

        [JsonProperty("gpse")]
        public string GPSE { get; set; }

        [JsonProperty("poloha_x")]
        public string PolohaX { get; set; }

        [JsonProperty("poloha_y")]
        public string PolohaY { get; set; }

        [JsonProperty("email")]
        public string Email { get; set; }

        [JsonProperty("telefon_zeleznicna_siet")]
        public string TelefonZeleznicnaSiet { get; set; }

        [JsonProperty("telefon_verjna_siet")]
        public string TelefonVerjnaSiet { get; set; }

        [JsonProperty("len_pre_iszsr")]
        public string LenPreISZSR { get; set; }

        [JsonProperty("ina_draha")]
        public string InaDraha { get; set; }

        [JsonProperty("obec")]
        public string Obec { get; set; }

        [JsonProperty("vystup_nastup_cestujucich")]
        public string VystupNastupCestujucich { get; set; }

        [JsonProperty("priznak_existencie_nastupist")]
        public string PriznakExistencieNastupist { get; set; }

        [JsonProperty("poznamka")]
        public string Poznamka { get; set; }
    }
}
